package database

// Storage is the parent interface for the database backends of route.
type Storage interface {
	Certs() Certs
	Routes() Routes
	Tokens() Tokens

	Close() error
}

type Scanner interface {
	Scan(...interface{}) error
}
